Get behavior flags

- « ArrayIterator::getArrayCopy

- ArrayIterator::key »

- PHP Manual
- ArrayIterator
- Get behavior flags

# ArrayIterator::getFlags

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

ArrayIterator::getFlags — Get behavior flags

### Description

public ArrayIterator::getFlags(): int

Gets the behavior flags of the ArrayIterator. See the ArrayIterator::setFlags method for a list of the available flags.

### Parameters

This function has no parameters.

### Return Values

Returns the behavior flags of the ArrayIterator.

### See Also

- ArrayIterator::setFlags() - Set behaviour flags
- ArrayIterator::valid() - Check whether array contains more entries